LibreOffice: uno/any2.h File Reference

LibreOffice LibreOffice 5.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
any2.h File Reference
`#include <cppu/cppudllapi.h>`
`#include <uno/data.h>`

Go to the source code of this file.

## Classes
struct | _uno_Any
| This is the binary specification of an UNO any. More...

## Typedefs
typedef struct SAL_DLLPUBLIC_RTTI _uno_Any | uno_Any
| This is the binary specification of an UNO any. More...

## Functions
CPPU_DLLPUBLIC void | uno_any_assign (uno_Any *pDest, void *pSource, struct _typelib_TypeDescription *pTypeDescr, uno_AcquireFunc acquire, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Assign an any with a given value. More...
CPPU_DLLPUBLIC void | uno_type_any_assign (uno_Any *pDest, void *pSource, struct _typelib_TypeDescriptionReference *pType, uno_AcquireFunc acquire, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Assign an any with a given value. More...
CPPU_DLLPUBLIC void | uno_any_construct (uno_Any *pDest, void *pSource, struct _typelib_TypeDescription *pTypeDescr, uno_AcquireFunc acquire) SAL_THROW_EXTERN_C()
| Constructs an any with a given value. More...
CPPU_DLLPUBLIC void | uno_type_any_construct (uno_Any *pDest, void *pSource, struct _typelib_TypeDescriptionReference *pType, uno_AcquireFunc acquire) SAL_THROW_EXTERN_C()
| Constructs an any with a given value. More...
CPPU_DLLPUBLIC void | uno_any_constructAndConvert (uno_Any *pDest, void *pSource, struct _typelib_TypeDescription *pTypeDescr, struct _uno_Mapping *mapping) SAL_THROW_EXTERN_C()
| Constructs an any with a given value and converts/ maps interfaces. More...
CPPU_DLLPUBLIC void | uno_type_any_constructAndConvert (uno_Any *pDest, void *pSource, struct _typelib_TypeDescriptionReference *pType, struct _uno_Mapping *mapping) SAL_THROW_EXTERN_C()
| Constructs an any with a given value and converts/ maps interfaces. More...
CPPU_DLLPUBLIC void | uno_any_destruct (uno_Any *pValue, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Destructs an any. More...
CPPU_DLLPUBLIC void | uno_any_clear (uno_Any *pValue, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Sets value to void. More...

## Typedef Documentation

typedef struct SAL_DLLPUBLIC_RTTI _uno_Any uno_Any

This is the binary specification of an UNO any.

## Function Documentation

CPPU_DLLPUBLIC void uno_any_assign | ( | uno_Any * | pDest,
|  | void * | pSource,
|  | struct _typelib_TypeDescription * | pTypeDescr,
|  | uno_AcquireFunc | acquire,
|  | uno_ReleaseFunc | release
| ) |  |

Assign an any with a given value.

Interfaces are acquired or released by the given callback functions.

Parameters

  pDest | pointer memory of destination any
  pSource | pointer to source value; defaults (0) to default constructed value
  pTypeDescr | type description of value; defaults (0) to void
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno
  release | function called each time an interface needs to be released; defaults (0) to uno

CPPU_DLLPUBLIC void uno_any_clear | ( | uno_Any * | pValue,
|  | uno_ReleaseFunc | release
| ) |  |

Sets value to void.

Parameters

  pValue | pointer to any
  release | function called each time an interface needs to be released; defaults (0) to uno

CPPU_DLLPUBLIC void uno_any_construct | ( | uno_Any * | pDest,
|  | void * | pSource,
|  | struct _typelib_TypeDescription * | pTypeDescr,
|  | uno_AcquireFunc | acquire
| ) |  |

Constructs an any with a given value.

Interfaces are acquired by the given callback function.

Parameters

  pDest | pointer memory of destination any
  pSource | pointer to source value; defaults (0) to default constructed value
  pTypeDescr | type description of value; defaults (0) to void
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno

CPPU_DLLPUBLIC void uno_any_constructAndConvert | ( | uno_Any * | pDest,
|  | void * | pSource,
|  | struct _typelib_TypeDescription * | pTypeDescr,
|  | struct _uno_Mapping * | mapping
| ) |  |

Constructs an any with a given value and converts/ maps interfaces.

Parameters

  pDest | pointer memory of destination any
  pSource | pointer to source value; defaults (0) to default constructed value
  pTypeDescr | type description of value; defaults (0) to void
  mapping | mapping to convert/ map interfaces

CPPU_DLLPUBLIC void uno_any_destruct | ( | uno_Any * | pValue,
|  | uno_ReleaseFunc | release
| ) |  |

Destructs an any.

Parameters

  pValue | pointer to any
  release | function called each time an interface needs to be released; defaults (0) to uno

CPPU_DLLPUBLIC void uno_type_any_assign | ( | uno_Any * | pDest,
|  | void * | pSource,
|  | struct _typelib_TypeDescriptionReference * | pType,
|  | uno_AcquireFunc | acquire,
|  | uno_ReleaseFunc | release
| ) |  |

Assign an any with a given value.

Interfaces are acquired or released by the given callback functions.

Parameters

  pDest | pointer memory of destination any
  pSource | pointer to source value; defaults (0) to default constructed value
  pType | type description of value; defaults (0) to void
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno
  release | function called each time an interface needs to be released; defaults (0) to uno

CPPU_DLLPUBLIC void uno_type_any_construct | ( | uno_Any * | pDest,
|  | void * | pSource,
|  | struct _typelib_TypeDescriptionReference * | pType,
|  | uno_AcquireFunc | acquire
| ) |  |

Constructs an any with a given value.

Interfaces are acquired by the given callback function.

Parameters

  pDest | pointer memory of destination any
  pSource | pointer to source value; defaults (0) to default constructed value
  pType | type of value; defaults (0) to void
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno

CPPU_DLLPUBLIC void uno_type_any_constructAndConvert | ( | uno_Any * | pDest,
|  | void * | pSource,
|  | struct _typelib_TypeDescriptionReference * | pType,
|  | struct _uno_Mapping * | mapping
| ) |  |

Constructs an any with a given value and converts/ maps interfaces.

Parameters

  pDest | pointer memory of destination any
  pSource | pointer to source value; defaults (0) to default constructed value
  pType | type of value; defaults (0) to void
  mapping | mapping to convert/ map interfaces